FROM openjdk:8-alpine
LABEL maintainer="ZHIPENG FANG<fzp0523@gmail.com>"

WORKDIR /opt/solo/
ADD target/solo/ /opt/solo/
ADD src/main/resources/docker/ /opt/solo/
RUN apk add --no-cache ca-certificates tzdata

ENV TZ=Asia/Shanghai
ARG git_commit=0
ENV git_commit=$git_commit

EXPOSE 8080

ENTRYPOINT [ "java", "-cp", "lib/*:.", "org.b3log.solo.Server" ]